Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032510
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-03-21 12:062016-06-17 19:37
ReportermalsasuaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisiond1e5ce861ccc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR15Q4.3SCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032510: Payment reprort: it is very slow with big data

DescriptionIn a environment with
220K of payment schedule details
205K of payment details
203K of payments

the execution of payment report to one day is very slow (more than 10 minutes)
Steps To Reproduce. execute the report:
 due date from: 20/06/2015
 due date to: 20/06/2015

The query that it is very slow is:
select fin_paymen0_.FIN_Payment_Scheduledetail_ID as col_0_0_, (select adlist17_.Seqno from AD_Ref_List adlist17_ where adlist17_.AD_Reference_ID='575BCB88A4694C27BC013DE9C73E6FE7' and adlist17_.Value=coalesce(fin_p...
(attached the query complete)

in java:
modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
TagsPerformance
Attached Filestxt file icon query_slow.txt [^] (4,586 bytes) 2016-03-21 12:06 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035872 closedmarkmm82 Payment Report has performance problems if expiration date is not set 

-  Notes
(0085902)
hgbot (developer)
2016-04-22 15:30

Repository: erp/devel/pi
Changeset: d1e5ce861cccd5ef8885f0842afcbff3850dc04a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Apr 22 12:04:27 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d1e5ce861cccd5ef8885f0842afcbff3850dc04a [^]

Fixes issue 32510: Improve performance of Payment Report

- Improve hql query.
- Avoid joins in query if they are not necessary.
- Retrieve only id instead of dal object in query.
- Use !isEmpty() instead of size()>0.
- Use setMaxResults(1) and uniqueResult() instead of list().get(0).
- Improve simple queries to return needed column instead of full dal object and avoid looping through results.

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0085903)
hgbot (developer)
2016-04-22 15:31

Repository: erp/devel/pi
Changeset: ec5b60a23972efcb6c49918a1321467aba5a5b0e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Apr 22 15:20:33 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ec5b60a23972efcb6c49918a1321467aba5a5b0e [^]

Related to issue 32510: Code review improvements

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0085904)
aferraz (developer)
2016-04-22 15:31

Code review + Testing OK
(0085988)
hgbot (developer)
2016-04-26 13:49

Repository: erp/devel/pi
Changeset: 6c9f1be432ef7fe3659c80bb2315d60e1213d674
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Apr 26 13:45:34 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6c9f1be432ef7fe3659c80bb2315d60e1213d674 [^]

Related to issue 32510: Code review improvements

Do left join to inv.businessPartner also if financial account has been selected.
Use StringUtils to avoid NPE.

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0087487)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087488)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087491)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-03-21 12:06 malsasua New Issue
2016-03-21 12:06 malsasua Assigned To => Triage Finance
2016-03-21 12:06 malsasua File Added: query_slow.txt
2016-03-21 12:06 malsasua Modules => Core
2016-03-21 12:06 malsasua Triggers an Emergency Pack => No
2016-03-21 12:33 malsasua Tag Attached: Performance
2016-04-05 12:10 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-04-13 12:46 AtulOpenbravo Status new => scheduled
2016-04-22 15:30 hgbot Checkin
2016-04-22 15:30 hgbot Note Added: 0085902
2016-04-22 15:30 hgbot Status scheduled => resolved
2016-04-22 15:30 hgbot Resolution open => fixed
2016-04-22 15:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1e5ce861cccd5ef8885f0842afcbff3850dc04a [^]
2016-04-22 15:31 hgbot Checkin
2016-04-22 15:31 hgbot Note Added: 0085903
2016-04-22 15:31 aferraz Review Assigned To => aferraz
2016-04-22 15:31 aferraz Note Added: 0085904
2016-04-22 15:31 aferraz Status resolved => closed
2016-04-22 15:31 aferraz Fixed in Version => 3.0PR16Q3
2016-04-26 13:49 hgbot Checkin
2016-04-26 13:49 hgbot Note Added: 0085988
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087487
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087488
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087491
2017-05-03 12:44 aferraz Relationship added related to 0035872


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker